homebrewing homebrewing

tapline

10 24 1

A homebrew beer recipe API server backed by MongoDB

You have 3 open security alerts

Dependencies

Package Locked Requirement Latest Status Changelog
Npms async ~0.2.9 0.9.0

async

Higher-order functions and common patterns for asynchronous code

This dependency is not matching latest version. Please consider upgrading.

Npms bcryptjs ~0.7.10 2.1.0

bcryptjs

Optimized bcrypt in plain JavaScript with zero dependencies. Compatible to 'bcrypt'.

This dependency is not matching latest version. Please consider upgrading.

Npms brauhaus ~1.1.0 1.1.1

brauhaus

A javascript library for homebrew beer calculations, both in the browser and on the server

This dependency is up-to-date. Congrats and keep going!

Npms brauhaus-beerxml ~1.0.0 1.0.0

brauhaus-beerxml

A BeerXML import and export plugin for Brauhaus.js

This dependency is up-to-date. Congrats and keep going!

Npms brauhaus-diff ~1.0.0 1.0.0

brauhaus-diff

A recipe difference plugin for Brauhaus.js

This dependency is up-to-date. Congrats and keep going!

Npms connect-mongo ~0.4.0 0.8.1

connect-mongo

MongoDB session store for Express and Connect

This dependency is not matching latest version. Please consider upgrading.

Npms express ~3.4.4 4.12.3

express

Fast, unopinionated, minimalist web framework

This dependency is not matching latest version. Please consider upgrading.

Npms fivebeans ~1.0.3 1.2.0

fivebeans

beanstalkd client & worker daemon for node.

This dependency is not matching latest version. Please consider upgrading.

Npms gravatar ~1.0.6 1.1.1

gravatar

Gravatar Node.js library

This dependency is not matching latest version. Please consider upgrading.

Npms jade ~0.35 1.9.2

jade

A clean, whitespace-sensitive template language for writing HTML

This dependency is not matching latest version. Please consider upgrading.

Npms json-gate ~0.8.21 0.8.21

json-gate

A friendly, fast JSON schema validator

This dependency is up-to-date. Congrats and keep going!

Npms lodash ~2.4.0 3.8.0

lodash

The modern build of lodash modular utilities.

This dependency is not matching latest version. Please consider upgrading.

Npms marked ~0.2.9 0.3.3

marked

A markdown parser built for speed

Npms mongoose 3.8.x 4.0.2

mongoose

Mongoose MongoDB ODM

This dependency is not matching latest version. Please consider upgrading.

Npms optimist ~0.6.0 0.6.1

optimist

Light-weight option parsing with an argv hash. No optstrings attached.

This dependency is up-to-date. Congrats and keep going!

Npms passport ~0.1.17 0.2.1

passport

Simple, unobtrusive authentication for Node.js.

This dependency is not matching latest version. Please consider upgrading.

Npms passport-facebook ~1.0.1 2.0.0

passport-facebook

Facebook authentication strategy for Passport.

This dependency is not matching latest version. Please consider upgrading.

Npms passport-google-oauth ~0.1.5 0.2.0

passport-google-oauth

Google (OAuth) authentication strategies for Passport.

This dependency is not matching latest version. Please consider upgrading.

Npms passport-http ~0.2.2 0.2.2

passport-http

HTTP Basic and Digest authentication strategies for Passport.

This dependency is up-to-date. Congrats and keep going!

Npms passport-http-bearer ~1.0.1 1.0.1

passport-http-bearer

HTTP Bearer authentication strategy for Passport.

This dependency is up-to-date. Congrats and keep going!

Npms passport-local ~0.1.6 1.0.0

passport-local

Local username and password authentication strategy for Passport.

This dependency is not matching latest version. Please consider upgrading.

Npms slug ~0.4.0 0.9.1

slug

slugifies even utf-8 chars!

This dependency is not matching latest version. Please consider upgrading.

Npms winston ~0.7.2 1.0.0

winston

A multi-transport async logging library for Node.js

This dependency is not matching latest version. Please consider upgrading.

Package Locked Requirement Latest Status Changelog
Npms coffee-script >=1.6 <2 1.9.2

coffee-script

Unfancy JavaScript

This dependency is up-to-date. Congrats and keep going!

Npms coffeelint ~1.0.2 1.9.4

coffeelint

Lint your CoffeeScript

This dependency is not matching latest version. Please consider upgrading.

Npms grunt ~0.4.1 0.4.5

grunt

The JavaScript Task Runner

This dependency is up-to-date. Congrats and keep going!

Npms grunt-coffeelint 0.0.7 0.0.13

grunt-coffeelint

Lint your Coffee

This dependency is not matching latest version. Please consider upgrading.

Npms grunt-contrib-coffee ~0.7.0 0.13.0

grunt-contrib-coffee

Compile CoffeeScript files to JavaScript

This dependency is not matching latest version. Please consider upgrading.

Npms grunt-contrib-watch ~0.5.3 0.6.1

grunt-contrib-watch

Run predefined tasks whenever watched file patterns are added, changed or deleted.

This dependency is not matching latest version. Please consider upgrading.

Npms grunt-external-daemon ~1.1.0 1.1.0

grunt-external-daemon

Grunt.js task to launch external background processes

This dependency is up-to-date. Congrats and keep going!

Npms grunt-mocha-cov 0.0.7 0.4.0

grunt-mocha-cov

Run Mocha server-side tests in Grunt with code coverage support and optional integration to coveralls.io.

This dependency is not matching latest version. Please consider upgrading.

Npms grunt-shell ~0.6.1 1.1.2

grunt-shell

Run shell commands

This dependency is not matching latest version. Please consider upgrading.

Npms mocha >=1.8 <2 2.2.4

mocha

simple, flexible, fun test framework

This dependency is not matching latest version. Please consider upgrading.

Npms sinon ~1.7.3 1.14.1

sinon

JavaScript test spies, stubs and mocks.

This dependency is not matching latest version. Please consider upgrading.

Npms supertest ~0.8.2 0.15.0

supertest

Super-agent driven library for testing HTTP servers

This dependency is not matching latest version. Please consider upgrading.